Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.design.events
Interface JRChangeEventsSupport

All Known Implementing Classes:
  BarcodeComponent, CodabarComponent, Code128Component, Code39Component, DataMatrixComponent, DesignCell, DesignListContents, EAN128Component, EAN13Component, EAN8Component, FourStateBarcodeComponent, Interleaved2Of5Component, JasperDesign, JasperReport, JRBaseAreaPlot, JRBaseBand, JRBaseBar3DPlot, JRBaseBarPlot, JRBaseBoxBottomPen, JRBaseBoxLeftPen, JRBaseBoxPen, JRBaseBoxRightPen, JRBaseBoxTopPen, JRBaseBreak, JRBaseBubblePlot, JRBaseCandlestickPlot, JRBaseChart, JRBaseChartPlot, JRBaseComponentElement, JRBaseConditionalStyle, JRBaseCrosstab, JRBaseCrosstabParameter, JRBaseDataset, JRBaseElement, JRBaseEllipse, JRBaseField, JRBaseFont, JRBaseFrame, JRBaseGenericElement, JRBaseGraphicElement, JRBaseGroup, JRBaseHighLowPlot, JRBaseImage, JRBaseLine, JRBaseLineBox, JRBaseLinePlot, JRBaseMeterPlot, JRBaseMultiAxisPlot, JRBaseParameter, JRBasePen, JRBasePie3DPlot, JRBasePieDataset, JRBasePiePlot, JRBasePropertyExpression, JRBaseRectangle, JRBaseReport, JRBaseReportFont, JRBaseScatterPlot, JRBaseScriptlet, JRBaseSection, JRBaseSortField, JRBaseStaticText, JRBaseStyle, JRBaseSubreport, JRBaseTextElement, JRBaseTextField, JRBaseThermometerPlot, JRBaseTimeSeriesDataset, JRBaseTimeSeriesPlot, JRDesignAreaPlot, JRDesignBand, JRDesignBar3DPlot, JRDesignBarPlot, JRDesignBreak, JRDesignBubblePlot, JRDesignCandlestickPlot, JRDesignCategoryDataset, JRDesignCategorySeries, JRDesignCellContents, JRDesignChart, JRDesignChartAxis, JRDesignChartDataset, JRDesignComponentElement, JRDesignConditionalStyle, JRDesignCrosstab, JRDesignCrosstabBucket, JRDesignCrosstabCell, JRDesignCrosstabColumnGroup, JRDesignCrosstabDataset, JRDesignCrosstabGroup, JRDesignCrosstabMeasure, JRDesignCrosstabParameter, JRDesignCrosstabRowGroup, JRDesignDataRange, JRDesignDataset, JRDesignDatasetParameter, JRDesignDatasetRun, JRDesignElement, JRDesignElementDataset, JRDesignElementGroup, JRDesignEllipse, JRDesignExpression, JRDesignExpressionChunk, JRDesignField, JRDesignFont, JRDesignFrame, JRDesignGanttDataset, JRDesignGanttSeries, JRDesignGenericElement, JRDesignGraphicElement, JRDesignGroup, JRDesignHighLowDataset, JRDesignHighLowPlot, JRDesignHyperlink, JRDesignHyperlinkParameter, JRDesignImage, JRDesignItemLabel, JRDesignLine, JRDesignLinePlot, JRDesignMeterPlot, JRDesignMultiAxisPlot, JRDesignParameter, JRDesignPie3DPlot, JRDesignPieDataset, JRDesignPiePlot, JRDesignPieSeries, JRDesignPropertyExpression, JRDesignQuery, JRDesignQueryChunk, JRDesignRectangle, JRDesignReportFont, JRDesignReportTemplate, JRDesignScatterPlot, JRDesignScriptlet, JRDesignSection, JRDesignSortField, JRDesignStaticText, JRDesignStyle, JRDesignSubreport, JRDesignSubreportParameter, JRDesignSubreportReturnValue, JRDesignTextElement, JRDesignTextField, JRDesignThermometerPlot, JRDesignTimePeriodDataset, JRDesignTimePeriodSeries, JRDesignTimeSeries, JRDesignTimeSeriesDataset, JRDesignTimeSeriesPlot, JRDesignValueDataset, JRDesignValueDisplay, JRDesignVariable, JRDesignXyDataset, JRDesignXySeries, JRDesignXyzDataset, JRDesignXyzSeries, PDF417Component, POSTNETComponent, RoyalMailCustomerComponent, SpiderChartComponent, StandardBarbecueComponent, StandardBaseColumn, StandardChartSettings, StandardColumn, StandardColumnGroup, StandardGroupCell, StandardListComponent, StandardSpiderDataset, StandardSpiderPlot, StandardTable, UPCAComponent, UPCEComponent, USPSIntelligentMailComponent

    public interface JRChangeEventsSupport

Interface implemented by classes that offer propery change events support.

Version:
  $Id: JRChangeEventsSupport.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Method Summary
`JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.

Method Detail

### getEventSupport

    JRPropertyChangeSupport getEventSupport()

  Returns the property change support object for this instance.

  Returns:
    the property change support object for this instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com